namespace BS.Shared.DataContracts
{
    public partial class WohnheimEmployeeRelationDC
    {
        public override bool Equals(object obj)
        {
            if (obj is WohnheimEmployeeRelationDC)
            {
                var y = (WohnheimEmployeeRelationDC)obj;
                if (this.Employee2WohnheimOid == null && y.Employee2WohnheimOid == null)
                {
                    return this.GetHashCode() == y.GetHashCode();
                   
                }

                if (this.Employee2WohnheimOid != null && y.Employee2WohnheimOid != null)
                {
                    return this.Employee2WohnheimOid == y.Employee2WohnheimOid;
                }
            }

            return false;
        }

        public override int GetHashCode()
        {
            return this.Employee2WohnheimOid.HasValue ? this.GetType().Name.GetHashCode() ^ this.Employee2WohnheimOid.GetHashCode() : base.GetHashCode();
        }
    }
}